# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 6f5f7701864e6987544cb7e7dc5f2d24db1a4537
    parent 6524f022f7d1d32f43208254e12f934bf64ed559
    Author: noname <noname@inventati.org>
    Date:   Wed,  8 Apr 2015 23:24:06 +0000

    Remove 'xloadfontset' function.

    It was used only once and its return value was ignored.

    Diffstat:
    Mst.c | 13++-----------

    1 file changed, 2 insertions(+), 11 deletions(-)
    diff --git a/st.c b/st.c
    @@ -419,7 +419,6 @@ static int xsetcolorname(int, const char *);
     static int xgeommasktogravity(int);
     static int xloadfont(Font *, FcPattern *);
     static void xloadfonts(char *, double);
    -static int xloadfontset(Font *);
     static void xsettitle(char *);
     static void xresettitle(void);
     static void xsetpointermotion(int);
    @@ -3116,15 +3115,6 @@ xloadfonts(char *fontstr, double fontsize) {
     	FcPatternDestroy(pattern);
     }

    -int
    -xloadfontset(Font *f) {
    -	FcResult result;
    -
    -	if(!(f->set = FcFontSort(0, f->pattern, FcTrue, 0, &result)))
    -		return 1;
    -	return 0;
    -}
    -
     void
     xunloadfont(Font *f) {
     	XftFontClose(xw.dpy, f->match);
    @@ -3472,7 +3462,8 @@ xdraws(char *s, Glyph base, int x, int y, int charlen, int bytelen) {
     		/* Nothing was found. */
     		if(i >= frclen) {
     			if(!font->set)
    -				xloadfontset(font);
    +				font->set = FcFontSort(0, font->pattern,
    +				                       FcTrue, 0, &fcres);
     			fcsets[0] = font->set;

     			/*